Erstellt vor 6 Jahren

Geschlossen vor 6 Jahren

Zuletzt geändert vor 3 Jahren

#1470 closed enhancement (fixed)

Tagging des AVM-Webinterfaces

Erstellt von: cuma Verantwortlicher:
Priorität: normal Meilenstein: freetz-1.2
Komponente: patches Version: devel
Stichworte: Beobachter:
Product Id: Firmware Version:

Beschreibung

Hiermit wird die Möglichkeit gegeben das AVM-Webinterface so zu kennzeichnen, damit man sofort erkennt dass diese Box mit Freetz modifiziert wurde.
PS: Mir ist bekannt dass ich kein herausragenden Grafiker bin, es steht jedem frei bessere/alternative Tags hier anzuhängen.

Anhänge (3)

screenshot.jpg (18.6 KB) - hinzugefügt von cuma vor 6 Jahren.
fix_tagging_none.patch (466 Byte) - hinzugefügt von schlimmchen vor 6 Jahren.
fwmod-tag-7050.patch (1.4 KB) - hinzugefügt von buehmann vor 6 Jahren.

Alle Anhänge herunterladen als: .zip

Änderungshistorie (26)

Geändert vor 6 Jahren durch cuma

comment:1 Geändert vor 6 Jahren durch cuma

In [7522]:

customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too

comment:2 Geändert vor 6 Jahren durch SaschaBr

Hallo cuma.
Habe grade eine neue Firmware bauen wollen, aber bekomme zum Ende hin diese Fehlermeldung (mit der neuen Build-Umgebung freetz-linux v1.2, frisch ausgechecked, neue config):

  tagging avm webif (tag by cuma)
    build/modified/filesystem/usr/www/all/css/default/images/kopfbalken_links.gif
./fwmod: Zeile 897: composite: Kommando nicht gefunden.
ERROR: tagging failed while processing usr/www/all/css/default/images/kopfbalken_links.gif
make: *** [firmware-nocompile] Fehler 1

comment:3 Antworten: Geändert vor 6 Jahren durch cuma

hm, mehrer Möglichkeiten:

  • keinen Tag auswählen… :)
  • mit yum/apt-get install GraphicsMagick composite nachinstallieren

@er13: Ist es okay wenn "composite" in die .build-prerequisites eingebaut wird?

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:4 als Antwort auf: ↑ 3 Geändert vor 6 Jahren durch schlimmchen

Replying to cuma:

hm, mehrer Möglichkeiten:

  • keinen Tag auswählen… :)

Ne, das geht leider nicht:

[...]
  integrating stripped .config file into image
  tagging avm webif (tag by none)
    build/modified/filesystem/usr/www/all/css/default/images/kopfbalken_links.gif
composite: unable to open image `./graphics/tagging/none/newer.png':  @ error/blob.c/OpenBlob/2498.
composite: unable to open file `./graphics/tagging/none/newer.png' @ error/png.c/ReadPNGImage/3072.
composite: missing an image filename `build/modified/filesystem/usr/www/all/css/default/images/kopfbalken_links.gif' @ error/composite.c/CompositeImageCommand/1607.
ERROR: tagging failed while processing usr/www/all/css/default/images/kopfbalken_links.gif
make: *** [firmware-nocompile] Error 1

Siehe Patch (selbsterklärend).

Geändert vor 6 Jahren durch schlimmchen

comment:5 als Antwort auf: ↑ 3 Geändert vor 6 Jahren durch SaschaBr

Replying to cuma:

  • keinen Tag auswählen… :)

Nee, geht auch nicht: :)

  tagging avm webif (tag by none)
    build/modified/filesystem/usr/www/all/css/default/images/kopfbalken_links.gif
./fwmod: Zeile 897: composite: Kommando nicht gefunden.
ERROR: tagging failed while processing usr/www/all/css/default/images/kopfbalken_links.gif
make: *** [firmware-nocompile] Fehler 1

comment:6 Geändert vor 6 Jahren durch cuma

In [7523]:

fix typo in r7522, thx schlimmchen (refs #1470)

comment:7 Geändert vor 6 Jahren durch cuma

Im IRC wurde bereits darüber gesprochen, deshalb hier nochmal der Anlass für mich zu dieser Funktion:

aus http://fsfe.org/projects/ftf/avm-gpl-violation.de.html:
<zitat>
Es sei denkbar, dass AVM-Router mit der durch die Software Cybits' geänderten Software an Dritte gelangten, die keine Kenntnis von den Änderungen der Firmware hätten und so eventuelle Änderungen der Funktionen des Routers, die eigentlich durch den Cybits' Software hervorgerufen werden, AVM zuschrieben. Dies beeinträchtigte die Interessen AVM.
</zitat>

Wenn die Funktion aktiviert ist sieht man selbst ohne dass man ein Kennwort zum Router hat und auch ohne das Freetz-Webif zu besuchen, dass Änderungen vorgenommen wurden. Ich hätte es ja gleich per default aktiviert und optional deaktivierbar, aber es hat nicht allen Augen geschmeichelt :]

comment:8 Geändert vor 6 Jahren durch cuma

In [7526]:

tagging: use only one picture for both versions (refs #1470)

Geändert vor 6 Jahren durch buehmann

comment:9 Geändert vor 6 Jahren durch buehmann

Hi,

bei mir schlägt des Bauen einer Firmware fehl:

tagging avm webif (tag by cuma)
ERROR: tagging failed, no files to tag found.
make: *** [firmware-nocompile] Fehler 1

Auf meiner alten 7050 heißt die Header-Grafik noch anders; siehe Patch. (Sie scheint auch andere Maße zu haben, deswegen habe ich probehalber den Offset eingefügt.)

comment:10 Geändert vor 6 Jahren durch cuma

Ich hab schon damit gerechnet das es Webif Versionen gibt, bei denen es nicht passt. Wenn das so wie in dem Patch ist passt, check es doch gleich ein. Ich kann das mangels passender Box eh nicht testen

comment:11 Geändert vor 6 Jahren durch cuma

In [7580]:

tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

comment:12 Antwort: Geändert vor 6 Jahren durch cuma

  • Lösung auf fixed gesetzt
  • Status von new nach closed geändert

Falls doch noch jemand eine alternative Grafik erstellen möchte, bitte wieder öffnen. Ansonsten scheint es zu funktionieren
Schade dass sonst niemand zum per-default aktivieren eine Meinung hatte

comment:13 als Antwort auf: ↑ 12 Geändert vor 6 Jahren durch ralph

Replying to cuma:

Schade dass sonst niemand zum per-default aktivieren eine Meinung hatte

Meine Paranoia sagt mir, daß Kenntlichmachen von Erweiterungen eher schlecht ist, da jeder der kommt sofort sieht, hey, da gibts extra Angriffsfläche, nämlich "hier", "da" und "dort".

Daher würd ich sagen, wer's für sich aktivieren möchte - gerne, aber standardmäßig aus wäre vermutlich besser.

comment:14 Geändert vor 6 Jahren durch cuma

Îch hab das mehr vom Gesichtspunkt der "nicht sichtbaren" Modifikationen her gesehen. Ob Freetz installiert ist erkennt man auch schnell am Real "Freetz" der auf Port :81 angezeigt wird

comment:15 Geändert vor 6 Jahren durch oliver

In [7629]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:16 Geändert vor 6 Jahren durch oliver

In [7630]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:17 Geändert vor 6 Jahren durch kriegaex

  • Lösung fixed gelöscht
  • Status von closed nach reopened geändert

Ich würde gern wissen, welches Paket auf einem Debian-System (Ubuntu 11.10) ausgewählt werden muß, damit composite in fwmod gefunden wird. Im Wiki steht der Paketname graphicsmagic. Ich habe es installiert, aber das Tool wird weiterhin nicht gefunden. Darüber stolperte ich, als ich eine Deiner Konfigurationen bauen wollte, cuma. Du weißt schon, die aus dem nicht funktionierenden Image von neulich.

Zuletzt geändert vor 6 Jahren von kriegaex (vorher) (Diff)

comment:18 Geändert vor 6 Jahren durch kriegaex

  • Lösung auf fixed gesetzt
  • Status von reopened nach closed geändert

Okay, hab's gefunden. Das Wiki war fehlerhaft: imagemagick, nicht graphicsmagick heißt das Paket. Analog unter Fedora ImageMagick. Habe es korrigiert.

comment:19 Geändert vor 6 Jahren durch cuma

Seltsame Sache, bei mir ist ImageMagick bereits installiert, GraphicsMagick nicht. Wie kommt denn sowas?

comment:20 Geändert vor 6 Jahren durch kriegaex

Ich habe GM wieder rausgeworfen, es geht trotzdem. Composite taucht auch nur bei IM in der Dateiliste auf.

comment:21 Geändert vor 3 Jahren durch er13

In 13123:

  • fix logo tagging with Fritz!OS 6.2x as pointed out by qwertz.asdfgh in this thread
  • refs #1470

comment:22 Geändert vor 3 Jahren durch er13

In 13124:

logo tagging:

  • do tag also Fritz!NAS logo
  • refs #1470

comment:23 Geändert vor 3 Jahren durch er13

In 13128:

logo tagging:

  • tweak logo tagging for Fritz!OS 6.2x as suggested by qwertz.asdfgh here
  • refs #1470
Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.